
.m-time {
    margin: 1rem 0 2rem;

    .showtime {
        text-align: center;
    }

    .time-text {
        position: relative;
        font-size: 0.875rem;
        color: var(--text-color);
        font-weight: 500;
        text-align: center;
        margin-top: 1.5rem;
        margin-bottom: 0.15rem;
    }

    .sliders {
        padding: 0 10px;
    }

    .separater {
        display: inline-block;
        font-size: 2rem;
        font-weight: 500;
        color: var(--tertiary);
        width: 2rem;
        height: 4rem;
        line-height: 4rem;
        text-align: center;
    }

    .time {
        width: 4rem;
        height: 4rem;
        border-radius: 1rem;
        color: var(--tertiary);
        background-color: rgba(var(--ter-rgb), 0.1);

        display: inline-block;
        font-size: 2rem;
        font-weight: 500;
        line-height: 4rem;
        text-align: center;
    }
}

.u-slider-time {
    position: relative;
    display: inline-block;
    background-color: var(--border);
    border-radius: 3px;
    height: 4px;
    width: 100%;
    cursor: pointer;

    .value {
        position: absolute;
        background-color: var(--primary);
        border-radius: 3px;
        top: 0;
        height: 100%;
    }

    .handle {
        position: absolute;
        width: 4px;
        height: 4px;

        &:after {
            position: relative;
            display: block;
            content: '';
            top: -10px;
            left: -12px;
            width: 24px;
            height: 24px;
            background-color: white;
            border: 3px solid rgba(var(--prim-rgb), 0.6);
            border-radius: 50%;
            box-sizing: border-box;
            cursor: pointer;
        }

        &:active::after {
            border-color: var(--primary);
            box-shadow: 0 0 0.2rem 0.2rem rgba(0, 0, 0, 0.1);
        }
    }
}

